# -------------------------------------------------------------------
# P L U G I N  P R O P E R I E S
# -------------------------------------------------------------------
# Xdoc plugin.
# -------------------------------------------------------------------

maven.docs.src = ${basedir}/xdocs
maven.docs.dest = ${maven.build.dir}/docs
maven.docs.outputencoding = ISO-8859-1
maven.docs.omitXmlDeclaration=false
maven.gen.docs = ${maven.build.dir}/generated-xdocs

maven.xdoc.developmentProcessUrl=http://maven.apache.org/development-process.html
maven.xdoc.includeProjectDocumentation = yes

#
# DATE Preferences
#
# The place of the date on the pages : choices are 'bottom', 'left', 'right', 'navigation-top', 'navigation-bottom'
maven.xdoc.date = 
maven.xdoc.date.format = dd MMMM yyyy
# The date locale
maven.xdoc.date.locale = en

# The logo to show on the generated site. No default at present (competition isn't closed)
maven.xdoc.poweredby.image=maven-propaganda.png
maven.xdoc.poweredby.title=Powered by Maven
maven.xdoc.poweredby.url=http://maven.apache.org/


#
# UI Color Prefs
#
maven.ui.body.background = #fff
maven.ui.body.foreground = #000
maven.ui.section.background = #036
maven.ui.section.foreground = #fff
maven.ui.subsection.background = #888
maven.ui.subsection.foreground = #fff
maven.ui.table.header.background = #bbb
maven.ui.table.header.foreground = #fff
maven.ui.table.row.odd.background = #ddd
maven.ui.table.row.odd.foreground = #000
maven.ui.table.row.even.background = #efefef
maven.ui.table.row.even.foreground = #000
maven.ui.banner.background = #036
maven.ui.banner.foreground = #fff
maven.ui.banner.border.top = #369
maven.ui.banner.border.bottom = #003
maven.ui.source.background = #fff
maven.ui.source.foreground = #000
maven.ui.source.border.right = #888
maven.ui.source.border.left = #888
maven.ui.source.border.top = #888
maven.ui.source.border.bottom = #888
maven.ui.navcol.background = #eee
maven.ui.navcol.background.ns4 = #fff
maven.ui.navcol.foreground = #000
maven.ui.navcol.foreground.ns4 = #555
maven.ui.navcol.border.top = #fff
maven.ui.navcol.border.right = #aaa
maven.ui.navcol.border.bottom = #aaa
maven.ui.breadcrumbs.background = #ddd
maven.ui.breadcrumbs.foreground = #000
maven.ui.breadcrumbs.border.top = #fff
maven.ui.breadcrumbs.border.bottom = #aaa
maven.ui.href.link = blue
maven.ui.href.link.active = #f30
maven.ui.href.link.selfref = #555

# This is horrid but will do for now. This needs to be extensible
# so that users can utilize the transformation process with their
# own templates.
maven.xdoc.pomDocuments = cvs-usage.xml,\
                          index.xml,\
                          maven-reports.xml,\
                          dependencies.xml,\
                          issue-tracking.xml,\
                          mail-lists.xml,\
                          project-info.xml,\
                          team-list.xml
                          
maven.xdoc.projectInfo = cvs-usage.xml,\
                          dependencies.xml,\
                          issue-tracking.xml,\
                          mail-lists.xml,\
                          project-info.xml,\
                          team-list.xml

